Name:          celestia
Version:       1.6.2.2
Release:       1mamba
Summary:       the free space simulation that lets you explore our universe in three dimensions
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://celestia.space/
Source0:       https://github.com/CelestiaProject/Celestia.git/%{version}/Celestia-%{version}.tar.bz2
#Source0:       http://downloads.sourceforge.net/sourceforge/celestia/celestia-%{version}.tar.gz
Source1:       %{name}.desktop
Patch2:        %{name}-1.5.0-gcc44.patch
Patch3:        %{name}-1.5.1-gcc44.patch
Patch4:        %{name}-1.6.0-png14.patch
Patch5:        %{name}-1.6.0-png15.patch
Patch6:        %{name}-1.6.0-gcc45.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtkglext-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-devel
BuildRequires: liblua-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtheora-devel
BuildRequires: libuuid-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The free space simulation that lets you explore our universe in three dimensions.

%debug_package

%prep
%setup -q -n Celestia-%{version}
autoupdate
autoreconf -f -i || true

%build
# NOTE: 1.6.2.2: kde support is obsolete (KDE3), using GTK
%configure \
   --with-gtk

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%find_lang %{name} --with-html --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/celestia
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/celestia.png
%dir %{_datadir}/celestia
%{_datadir}/celestia/COPYING
%{_datadir}/celestia/COPYING_*
%{_datadir}/celestia/celestia.cfg
%{_datadir}/celestia/celestia-logo.png
%{_datadir}/celestia/celestiaui.xml
%{_datadir}/celestia/*.cel
%{_datadir}/celestia/*.txt
%dir %{_datadir}/celestia/data
%{_datadir}/celestia/data/*.ssc
%{_datadir}/celestia/data/*.dat
%{_datadir}/celestia/data/*.dsc
%{_datadir}/celestia/data/*.stc
%dir %{_datadir}/celestia/extras-standard
%{_datadir}/celestia/extras-standard/*
%dir %{_datadir}/celestia/extras
%{_datadir}/celestia/extras/*.ssc
%dir %{_datadir}/celestia/fonts
%{_datadir}/celestia/fonts/*.txf
%dir %{_datadir}/celestia/models
%{_datadir}/celestia/models/*.png
%{_datadir}/celestia/models/*.3ds
%{_datadir}/celestia/models/*.cmod
%{_datadir}/celestia/models/*.cms
%dir %{_datadir}/celestia/scripts
%{_datadir}/celestia/scripts/*
%dir %{_datadir}/celestia/shaders
%{_datadir}/celestia/shaders/*.vp
%{_datadir}/celestia/shaders/*.fp
%dir %{_datadir}/celestia/splash
%{_datadir}/celestia/splash/splash.png
%dir %{_datadir}/celestia/textures
%{_datadir}/celestia/textures/flare.jpg
%{_datadir}/celestia/textures/logo.png
%dir %{_datadir}/celestia/textures/hires
%{_datadir}/celestia/textures/hires/*.jpg
%dir %{_datadir}/celestia/textures/lores
%{_datadir}/celestia/textures/lores/*.jpg
%{_datadir}/celestia/textures/lores/*.png
%dir %{_datadir}/celestia/textures/medres
%{_datadir}/celestia/textures/medres/*.jpg
%{_datadir}/celestia/textures/medres/*.png
%doc AUTHORS COPYING
#ChangeLog INSTALL README

%changelog
* Fri Jan 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2.2-1mamba
- update to 1.6.2.2

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-2mamba
- rebuilt with libjpeg 8
- added patches for libpng 1.4 and 1.5

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 1.5.1-2mamba
- automatic rebuild by autodist

* Sun Jun 08 2008 gil <puntogil@libero.it> 1.5.1-1mamba
- update to 1.5.1
- removed patch

* Fri Jul 08 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.2-1qilnx
- package created by autospec
